### Method

# RB ExtDB store_raw

#### Declaration [src]

    void
    rb_ext_db_store_raw (
      RBExtDB* store,
      RBExtDBKey* key,
      RBExtDBSourceType source_type,
      GValue* data
    )

#### Description [src]

Stores an item in the metadata store so that lookpus matching `key` will return it. `data` should contain the data to be written to the store, either as a string or as a `GByteArray`.

#### Parameters

`key`

  Type: `RBExtDBKey`

  Metadata storage key.

  The data is owned by the caller of the method.

`source_type`

  Type: `RBExtDBSourceType`

  Metadata source type.

`data`

  Type: `GValue`

  Data to store.

  The argument can be `NULL`.
  The data is owned by the caller of the method.